Bug 676286 - [RFE] Add per device 'diag' option to pacemaker stonith action
[RFE] Add per device 'diag' option to pacemaker stonith action
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: pacemaker (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Andrew Beekhof
Cluster QE
: FutureFeature, Rebase, TechPreview
Depends On: 655764 678061 679847
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-09 05:58 EST by Gary Smith
Modified: 2011-05-19 09:49 EDT (History)
2 users (show)

See Also:
Fixed In Version: pacemaker-1.1.5-1.el6
Doc Type: Technology Preview
Doc Text:
When using the fence_ipmilan fencing agent, Pacemaker now accepts "diag" as a valid per-device stonith action. With this action enabled, a fenced node receives the "DIAG" signal and creates a dump for diagnostic purposes.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 09:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gary Smith 2011-02-09 05:58:25 EST
Description of problem:

A new "-o diag" option is on target to be added to the RHEL6.1 fence_ipmilan which sends the IPMI "diag" message to a system in order to trigger system dumps for diagnostic purposes.

Currently stonith action only allows "reboot" and "poweroff". The action is set globally based the stonith-action cluster property but it would be very useful to set this per device to assist with fault analysis.


Actual results:
With fence_ipmilan executed manually with "-o diag" it works fine.


Additional info:

In pacemaker, set action="diag" instead of action="reboot" :

primitive restofencenode1 stonith:*fence_ipmilan* \
   params ipaddr="<my ipaddr>" login="<mylogin>" passwd="<mypasswd>"
pcmk_host_check="static-list" pcmk_host_list="node1" *action="diag"* \
Comment 10 Jaromir Hradilek 2011-04-26 10:47:58 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When using the fence_ipmilan fencing agent, Pacemaker now accepts "diag" as a valid per-device stonith action. With this action enabled, a fenced node receives the "DIAG" signal and creates a dump for diagnostic purposes.
Comment 11 errata-xmlrpc 2011-05-19 09:49:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0642.html

Note You need to log in before you can comment on or make changes to this bug.